<?php
/**
 * This file defines de main flashchat configuration form
 * It uses the standard core Moodle (>1.8) formslib. For
 * more info about them, please visit:
 * 
 * http://docs.moodle.org/en/Development:lib/formslib.php
 *
 * The form must provide support for, at least these fields:
 *   - name: text element of 64cc max
 *
 * Also, it's usual to use these fields:
 *   - intro: one htmlarea element to describe the activity
 *            (will be showed in the list of activities of
 *             flashchat type (index.php) and in the header 
 *             of the flashchat main page (view.php).
 *   - introformat: The format used to write the contents
 *             of the intro field. It automatically defaults 
 *             to HTML when the htmleditor is used and can be
 *             manually selected if the htmleditor is not used
 *             (standard formats are: MOODLE, HTML, PLAIN, MARKDOWN)
 *             See lib/weblib.php Constants and the format_text()
 *             function for more info
 */

require_once ('moodleform_mod.php');

class mod_flashchat_mod_form extends moodleform_mod {

	function definition() {

		global $COURSE, $CFG;;
		$mform    =& $this->_form;

//-------------------------------------------------------------------------------
    /// Adding the "general" fieldset, where all the common settings are showed
        $mform->addElement('header', 'general', get_string('general', 'form'));
    /// Adding the standard "name" field
        $mform->addElement('text', 'name', get_string('name', 'flashchat'), array('size'=>'64'));
		$mform->setType('name', PARAM_TEXT);
	
    /// Adding the optional "intro" and "introformat" pair of fields
    	

//-------------------------------------------------------------------------------
    /// Adding the "Chat Server Is Hosted By" fieldset, where all the common settings are showed
        $mform->addElement('header', 'Chat Server Is Hosted By', get_string('Running_mod', 'flashchat'));
    /// Adding the standard "name" field
     

        $options=array();
        $options[0]  = get_string('run_m3', 'flashchat');
        $options[1]  = get_string('run_m2', 'flashchat');
        $options[2]  = get_string('run_m1', 'flashchat');
        $mform->addElement('select', 'extendserver', get_string('Running_mod2', 'flashchat'), $options);
	
        
    /// Adding the optional "intro" and "introformat" pair of fields		
		
		
//-------------------------------------------------------------------------------
    /// Adding the rest of flashchat settings, spreeading all them into this fieldset
    /// or adding more fieldsets ('header' elements) if needed for better logic
     $mform->addElement('header', 'flashchatfieldset', get_string('flashchatfieldset', 'flashchat'));
     
             $mform->addElement('text', 'client_location', get_string('client_location', 'flashchat'), array('size'=>'64'));
                $mform->setType('client_location', PARAM_TEXT);
                      $mform->addElement('static', 'js1','','The client location is the string of an URL or a directory where chat client is located 
<br>[defult: http://www.123flashchat.com/] ');
            $mform->addElement('text', 'client_swf_name', get_string('client_swf_name', 'flashchat'), array('size'=>'64'));
                $mform->setType('client_swf_name', PARAM_TEXT);
                       $mform->addElement('static', 'js2','','Client swf name,it should be 123flashchat.swf if you have not changed its name 
<br>[defult: 123flashchat.swf]');
          $mform->addElement('text', 'chat_room_name', get_string('room_name', 'flashchat'), array('size'=>'64'));
                $mform->setType('chat_room_name', PARAM_TEXT);   
                        $mform->addElement('static', 'js3','','The chat room name,it will be your site name if you leave it blank 
<br>[defult: myroom]'); 
        $mform->addElement('text', 'chat_data_path', get_string('chatdatapath', 'flashchat'), array('size'=>'64'));
                $mform->setType('chat_data_path', PARAM_TEXT);
                         $mform->addElement('static', 'js4','','The chat data path location,if your chat room is losted by us,just leave it blank 
<br>[defult: C:/Program Files/123FlashChatServer6.9.3/server/data/default/]'); 
        $mform->addElement('text', 'init_host', get_string('init_host', 'flashchat'), array('size'=>'64'));
                $mform->setType('init_host', PARAM_TEXT);
                         $mform->addElement('static', 'js5','','The primary server host value,if you have not changed this value in fcserver.xml,please leave it blank
<br>[defult: www.123flashchat.com]');

        $mform->addElement('text', 'init_port', get_string('init_port', 'flashchat'), 'maxlength="5" size="5"');
                $mform->setType('init_port', PARAM_INT);
                         $mform->addElement('static', 'js6','','The chat group value,please leave it blank if you are using default group
<br>[defult: "defult"]');
                


	$mform->addElement('text', 'init_group', get_string('init_group', 'flashchat'), array('size'=>'64'));
                $mform->setType('init_group', PARAM_TEXT);
		                 $mform->addElement('static', 'js7','','The chat group value,please leave it blank if you are using default group
<br>[defult: "defult"]');


        $mform->addElement('text', 'width', get_string('width', 'flashchat'), 'maxlength="5" size="5"');
                $mform->setType('width', PARAM_INT);
                   $mform->addElement('static', 'js8','','[defult: 634]');
		
        $mform->addElement('text', 'height', get_string('height', 'flashchat'), 'maxlength="5" size="5"');
                $mform->setType('height', PARAM_INT);
                    $mform->addElement('static', 'js9','','[defult: 476]');
	

        
        
        
 //-------------------------------------------------------------------------------
    /// Adding the "general" fieldset, where all the common settings are showed
        $mform->addElement('header', 'instc_mod', get_string('instc_mod', 'flashchat'));       

        $mform->addElement('static', 'instc_mod_nr1', get_string('instc_mod_nr1', 'flashchat'),' 
        
<br> Please fill in the following fields : 
<br>Necessary: 
<br>[Client location].[Client swf name].[Chat data path].[Chat client width].[Chat client height] 
<br>Not Necessary: 
<br>[Chat Group].[Primary server host].[Primary server port] 
<br>Leave Blank: 
<br>[Chat room name] 
 ');
        
        $mform->addElement('static', 'instc_mod_nr2', get_string('instc_mod_nr2', 'flashchat'),' 
        
<br>Please fill in the following fields : 
<br>Necessary: 
<br>[Client location].[Client swf name].[Chat client width].[Chat client height] 
<br>Leave Blank: 
<br>[Chat room name].[Chat data path].[Chat Group].[Primary server host].[Primary server port]
 ');
        
          
         $mform->addElement('static', 'instc_mod_nr3', get_string('instc_mod_nr3', 'flashchat'),'        
<br>Please fill in the following field: 
<br>Not Necessary: 
<br>[Chat room name] 
          
 ');
          
          
//-------------------------------------------------------------------------------         
         
         
    $mform->addElement('header', 'instc_server_nr', get_string('instc_server_nr', 'flashchat'));         
     
    $mform->addElement('static', 'step', get_string('step', 'flashchat')."1:",' 
        
<br>please open server.xml on server side[~/123flashchat/server/etc/groups/default/] 
<br>find: 
<br>&lt;integrated-other-database/&gt;None&lt;/integrated-other-database&gt; 
<br>change it to: 
<br>&lt;integrated-other-database/&gt;URL&lt;/integrated-other-database&gt; 
    
 ');     
    
        $mform->addElement('static', 'step2', get_string('step', 'flashchat')."2:",' 
        
<br>find: 
<br>&lt;auth-url charset="UTF-8"&gt;&lt;/auth-url&gt; 
<br>change it to: 
<br>&lt;auth-url charset="UTF-8"&gt; 
<br>http://[*moodlesite*]/mod/flashchat/login_chat.php?username=%username%&password=%password%&lt;auth-url&gt;   
 '); 
    
        $mform->addElement('static', 'step3', get_string('step', 'flashchat')."3:",' 
        
<br>Restart chat server 
 '); 
    
//-------------------------------------------------------------------------------
        // add standard elements, common to all modules
		$this->standard_coursemodule_elements();
//-------------------------------------------------------------------------------
        // add standard buttons, common to all modules
        $this->add_action_buttons();

	}
}

?>
